set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Typedefs

template<typename _Key, typename _Cmp = std::less<_Key>>
using | std::pmr::multiset
template<typename _Key, typename _Cmp = std::less<_Key>>
using | std::pmr::set

## Detailed Description

This is a Standard C++ Library header.

Definition in file set.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 74 of file set.

## __glibcxx_want_associative_heterogeneous_erasure

#define __glibcxx_want_associative_heterogeneous_erasure

Definition at line 80 of file set.

## __glibcxx_want_associative_heterogeneous_insertion

#define __glibcxx_want_associative_heterogeneous_insertion

Definition at line 81 of file set.

## __glibcxx_want_containers_ranges

#define __glibcxx_want_containers_ranges

Definition at line 75 of file set.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 76 of file set.

## __glibcxx_want_generic_associative_lookup

#define __glibcxx_want_generic_associative_lookup

Definition at line 77 of file set.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 78 of file set.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 79 of file set.

## Typedef Documentation

## multiset

template<typename _Key, typename _Cmp = std::less<_Key>>

using std::pmr::multiset

Definition at line 94 of file set.

## set

template<typename _Key, typename _Cmp = std::less<_Key>>

using std::pmr::set

Definition at line 92 of file set.